Skip to main content
`Ctrl`+`K`

# VecGhostRestoreLocalForm

Restores the local ghosted representation of a parallel vector obtained with `VecGhostGetLocalForm()`.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecGhostRestoreLocalForm(Vec g, Vec *l)

Logically Collective

## Input Parameters

- g - the global vector

- l - the local (ghosted) representation

## See Also

Vectors and Parallel Data, `VecGhostUpdateBegin()`, `VecGhostUpdateEnd()`, `Vec`, `VecType`, `VecCreateGhost()`, `VecGhostGetLocalForm()`, `VecCreateGhostWithArray()`

## Level

advanced

## Location

src/vec/vec/impls/mpi/commonmpvec.c

## Examples

src/vec/vec/tutorials/ex9f.F90
src/vec/vec/tutorials/ex14f.F90
src/vec/vec/tutorials/ex9.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages